#XML_PARSER_LIB   = 0
#XML_NODE_INVALID = -1
#XML_NODE_TAG     = 0
#XML_NODE_DATA    = 1
#XML_NODE_COMMENT = 2

#XML_NODE_FIND_ANYWHERE = -1
#XML_ANYWHERE = #XML_NODE_FIND_ANYWHERE


*xRoot = xmlzParseFile_("package.xml")
*xNode = xmlzFindNode_(*xRoot, #XML_ANYWHERE, "filelist", "", "") 
*xNext = xmlChild_(*xNode)

loop:  
  If xmlNodeType_(*xNext) = #XML_NODE_TAG

    If Trim(LCase(PeekS(xmlzGetTag_(*xNext)))) = "dir"
    
      Debug "-->"
      Debug "Dir: " + PeekS(xmlzAttribValue_(*xNext, "name"))

      *xNext = xmlChild_(*xNext)
      Goto loop
    ElseIf Trim(LCase(PeekS(xmlzGetTag_(*xNext)))) = "file"
    
      Debug "File: " + PeekS(xmlzAttribValue_(*xNext, "name"))
      
    EndIf
  EndIf      

  *xTemp = *xNext
  *xNext = xmlNextSibling_(*xNext)
  If *xNext = #FALSE
    *xNext = xmlParent_(*xTemp)
    *xNext = xmlNextSibling_(*xNext)

    If *xNext = #FALSE
      Goto endloop
    EndIf
    
    Debug "<--"

  EndIf
  Goto loop

endloop: